Qore Programming Language Reference Manual 0.8.8

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

All Classes Namespaces Functions Variables Groups Pages
Variables
String Type Constants

## Variables
const | Qore::Type::Binary = "binary"
| Gives the type for binary values.
const | Qore::Type::Boolean = "bool"
| Gives the type for boolean values.
const | Qore::Type::CallReference = "call reference"
| Gives the type for call references.
const | Qore::Type::Closure = "closure"
| Gives the type for closures.
const | Qore::Type::Date = "date"
| Gives the type for the date values.
const | Qore::Type::Float = "float"
| Gives the type for float values.
const | Qore::Type::Hash = "hash"
| Gives the type for hash values.
const | Qore::Type::Int = "integer"
| Gives the type for integer values.
const | Qore::Type::List = "list"
| Gives the type for list values.
const | Qore::Type::NothingType = "nothing"
| Gives the type when no value is available.
const | Qore::Type::NullType = "NULL"
| Gives the type for SQL null values.
const | Qore::Type::Number = "number"
| Gives the type for number values.
const | Qore::Type::Object = "object"
| Gives the type for object values.
const | Qore::Type::String = "string"
| Gives the type for string values.

## Detailed Description

String type constants as returned by type() and typename()